apiVersion: apps/v1
kind: Deployment
metadata:
  name: deepstack-deployment
  namespace: deepstack
spec:
  selector:
    matchLabels:
      app: deepstack
  replicas: 1
  template:
    metadata:
      labels:
        app: deepstack
    spec:
      containers:
        - name: deepstack-pod
          image: deepquestai/deepstack
          ports:
            - containerPort: 5000
          env:
          - name: VISION-DETECTION
            value: "True"
          - name: VISION-SCENE
            value: "True"
          - name: VISION-FACE
            value: "True"
